apiVersion: v1
kind: Service
Namespace: "{{ k8s_namespace }}"
metadata:
  creationTimestamp: null
  labels:
    app: {{ app_name  }}
    # tier: frontend
  name: {{ app_name  }}
spec:
  ports:
  - nodePort: {{ node_port }} # see Proxy VM-DeepCube (CaddyFile)
    port: {{ app_port }}
    protocol: TCP
    # By default and for convenience, the Kubernetes control plane will allocate a port from a range (default: 30000-32767)
    targetPort: {{ app_target_port }}
  selector:
    app: {{ app_name  }}
    # tier: frontend
  type: LoadBalancer
  status:
    loadBalancer: {}